ImplementationSpecificArgument (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util.facade, class: ImplementationSpecificArgument

Package org.apache.tools.ant.util.facade

# Class ImplementationSpecificArgument

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.Commandline.Argument
org.apache.tools.ant.util.facade.ImplementationSpecificArgument

All Implemented Interfaces:
  `java.lang.Cloneable`

Direct Known Subclasses:
  `Javac.ImplementationSpecificArgument`, `Rmic.ImplementationSpecificArgument`

    public class ImplementationSpecificArgument
    extends Commandline.Argument

Extension of Commandline.Argument with a new attribute that chooses a specific implementation of the facade.

Since:
  Ant 1.5

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ImplementationSpecificArgument()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `getParts​(java.lang.String chosenImpl)` | Return the parts this Argument consists of, if the implementation matches the chosen implementation.
  `void` | `setImplementation​(java.lang.String impl)` | Set the implementation this argument is for.

  ### Methods inherited from class org.apache.tools.ant.types.Commandline.Argument

  `copyFrom, getParts, setFile, setLine, setPath, setPathref, setPrefix, setSuffix, setValue`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImplementationSpecificArgument

    public ImplementationSpecificArgument()

- ## Method Details

  - ### setImplementation

    public void setImplementation​(java.lang.String impl)
    Set the implementation this argument is for.
    Parameters:
      `impl` - the implementation this command line argument is for.

  - ### getParts

    public final java.lang.String[] getParts​(java.lang.String chosenImpl)
    Return the parts this Argument consists of, if the implementation matches the chosen implementation.
    Parameters:
      `chosenImpl` - the implementation to check against.
    Returns:
      the parts if the implementation matches or an zero length array if not.
    See Also:
      `Commandline.Argument.getParts()`